#!/bin/sh
#
# source: http://www.galago-project.org/files/releases/source/notify-python/notify-python-0.1.1.tar.bz2
#
# maintainer: gmg (g.monpontet@gmail.com)
#

#------------------ Set Some Variables

soft='pynotify'
softversion='0.1.1'
packageversion='62.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/notify-python-0.1.1.tar.bz2"
src="$buildir/notify-python-0.1.1"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvjf $srcpkg
rm -f $dest.tgz
rm -rf $dest

#----------------- Make the slack-desc files

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

        |-----handy-ruler------------------------------------------------------|
pynotify: pynotify (pynotify provides just the Python bindings for libnotify)
pynotify:
pynotify: python-notify provides just the Python bindings for libnotify.
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
EODESC

#------------------ Set correct permissions

cd $src
chown -R root:root .

#------------------ Start Configure

export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"

./configure \
  --prefix=/usr

touch src/pynotify.override

make
make install DESTDIR=$dest

( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null 
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

#------------------ Prepare the documentation

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a AUTHORS ChangeLog COPYING NEWS $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#------------------ Make the slack-desc files

mkdir -p $dest/install
cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

        |-----handy-ruler-----------------------------------------------------|
pynotify: pynotify - provides the Python bindings for libnotify
pynotify:
pynotify: python-notify provides just the Python bindings for libnotify.
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
pynotify:
EODESC

#------------------- Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5